# Data Object - VsanExtendedConfig(vim.vsan.VsanExtendedConfig)

Property of
  VimVsanReconfigSpec, VsanConfigInfoEx, VsanHostConfigInfoEx
Extends
  DynamicData
See also
  VsanCapacityReservationInfo, VsanProactiveRebalanceInfo
Since
  vSAN API 6.7

## Data Object Description

vSAN extended configurations

Properties

Name | Type | Description
--- | --- | ---
capacityReservationInfo* | VsanCapacityReservationInfo | Enforce capacity reservation Information. Refer to VsanCapacityReservationInfo. Since vSAN API vSAN 7.0U1
disableSiteReadLocality* | xsd:boolean | By default, site read locality is enabled for vSAN streched cluster/2 nodes configuration, with this, reads to vSAN object only occur on the site the VirtualMachine resides on. But with this setting, we can disable the site read locality, which will force reads across all mirrors, in low latency vSAN stretched cluster/2 nodes configuration, this means reads would occur across both sites in a stretched cluster, which can most effectively improve the read performance. Allowed values: True to disable site read locality; False to turn on site read locality; Default value: False.
enableCustomizedSwapObject* | xsd:boolean | While create swap object for VirtualMachine, policy 'proportionalCapacity' is overwritten by default with value 100, this means swap object will reserve 100% space of its size on vSAN datastore. This behavior can be turned off through this config, allow customer to fully control the policy 'proportionalCapacity' for swap object to save swap spaces. After set this field to True, swap object policy set on host through command 'esxcli vsan policy setdefault' will be fully respected; Allowed values: True to stop assigning 'proportionalCapacity' of 100 for swap object to create; False to take the default behavior. Default value: False.
largeScaleClusterSupport* | xsd:boolean | By default, vSAN cluster can only grow up to 32 nodes. But by setting this option, vSAN cluster is allowed to grow up to large scale, at maximun to 64 nodes. Please be noted, if this option is changed before vSAN enabled, it can be applied at host side immediately; but if it is changed on a vSAN cluster, all hosts are required to reboot to apply this change. After setting this, please review the vSAN health check result, which can help to figure out which host requires rebooting. Allowed values: True to support large scale vSAN cluster, 64 nodes for now; False to not support, and at maximum to 32 nodes; Default value: False.
objectRepairTimer* | xsd:long | This configuration is to determine delay time in minutes for vSAN, to wait for absent component to come back before starting repair it. Allowed values: 0 to 4294967295; Default value: 60.
proactiveRebalanceInfo* | VsanProactiveRebalanceInfo | Proactive Rebalance Information. Refer to VsanProactiveRebalanceInfo. Since vSAN API vSAN 6.7U3
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vsan="urn:vsan" name="VsanExtendedConfig"> <complexContent> <extension base="vsan:DynamicData"> <sequence> <element name="objectRepairTimer" type="xsd:long" minOccurs="0"/> <element name="disableSiteReadLocality" type="xsd:boolean" minOccurs="0"/> <element name="enableCustomizedSwapObject" type="xsd:boolean" minOccurs="0"/> <element name="largeScaleClusterSupport" type="xsd:boolean" minOccurs="0"/> <element name="proactiveRebalanceInfo" type="vsan:VsanProactiveRebalanceInfo" minOccurs="0"/> <element name="capacityReservationInfo" type="vsan:VsanCapacityReservationInfo" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>